footer {
  flex: 0 0 auto;
}

.top-footer {
  position: relative;

  &__form-wrapper {
    @media (min-width: $md3 + px) {
      display: flex;
      justify-content: flex-end;
    }
  }

  &__image {
    position: absolute;
    width: 100%;
    height: 581px;
    display: inline;
    object-fit: cover;
    object-position: center;
    z-index: -9999;
    @media (min-width: $md3 + px) {
      display: none;
    }
  }

  &__image-desktop {
    display: none;
    @media (min-width: $md3 + px) {
      display: block;
      position: absolute;
      width: 100%;
      height: 80%;
      object-fit: cover;
      object-position: center;
      z-index: -9999;
    }
  }

  &__title {
    font-family: 'Montserrat';
    margin: auto;
    max-width: 690px;
    font-style: normal;
    font-weight: 700;
    font-size: 22px;
    line-height: 29px;
    display: flex;
    align-items: center;
    text-align: center;
    color: #111111;
    padding: 32px 0 8px 0;
    @media (min-width: $md2 + px) {
      font-family: 'Montserrat';
      font-style: normal;
      font-weight: 700;
      font-size: 56px;
      line-height: 68px;
      display: flex;
      align-items: center;
      text-align: center;
      max-width: 920px;

      color: #111111;
    }
  }

  &__sub-title {
    font-family: 'Montserrat';
    max-width: 560px;
    margin: auto;
    font-style: normal;
    font-weight: 500;
    font-size: 16px;
    line-height: 20px;
    display: flex;
    align-items: center;
    text-align: center;
    color: #111111;
    margin-bottom: 8px;
    @media (min-width: $md2 + px) {
      font-size: 24px;
      line-height: 29px;
      color: #111111;
      max-width: 690px;
    }
  }

  .form-footer {
    margin-bottom: 20px;
    @media (min-width: $md3 + px) {
      width: 680px;
      justify-content: center;
      align-items: center;
      margin-bottom: 30px;
    }
    height: 384px;
    background: rgba(255, 255, 255, 0.8);
    box-shadow: -2px 5px 40px rgba(31, 60, 109, 0.16);
    display: flex;
    flex-direction: column;
    justify-content: center;

    &__block {
      @media (min-width: $md3 + px) {
        display: flex;
      }
    }

    &__title {
      display: none;
      @media (min-width: $md3 + px) {
        display: block;
        text-align: center;
        padding-top: 24px;
        font-family: 'BebasNeue';
        font-style: normal;
        font-weight: 700;
        font-size: 24px;
        line-height: 32px;
        letter-spacing: 0.05em;
        color: #111111;

      }
    }

    .field-entry {
      padding: 20px 10px 0 10px;
      display: flex;
      flex-direction: column;

      &__for-textarea {
        font-family: 'Montserrat';
        font-style: normal;
        font-weight: 400;
        font-size: 14px;
        line-height: 16px;
        color: #111111;
        padding-bottom: 10px;
      }

      &__textarea-field {
        text-align: left;
        max-width: 290px;
        height: 98px;
        background: #F5F4F0;;
        border: 1px solid #CACACA;
        @media (min-width: $md3 + px) {
          max-width: 550px;
          width: 550px;
          height: 140px;

        }

      }
    }

    .field-name {
      display: flex;
      flex-direction: column;
      padding: 6px 10px 0 10px;
      position: relative;

      &._icon-user::before {
        color: #5B7FBD;
        position: absolute;
        bottom: 17%;
        font-size: 18px;
        z-index: 1;
        padding-left: 10px;
      }

      &__for-input {
        font-family: 'Montserrat';
        font-style: normal;
        font-weight: 400;
        font-size: 14px;
        line-height: 16px;
        color: #111111;
        padding: 4px 0;
      }

      &__input-field {
        position: relative;
        max-width: 290px;
        height: 40px;
        background: #F5F4F0;
        border: 1px solid #CACACA;
        padding-left: 30px;
        @media (min-width: $md3 + px) {
          width: 264px;
        }

      }


    }

    .field-number {
      display: flex;
      flex-direction: column;
      padding: 6px 10px 0 10px;
      position: relative;

      &._icon-phone-call::before {
        color: #5B7FBD;
        position: absolute;
        bottom: 17%;
        font-size: 18px;
        z-index: 1;
        padding-left: 10px;
      }

      &__for-input {
        font-family: 'Montserrat';
        font-style: normal;
        font-weight: 400;
        font-size: 14px;
        line-height: 16px;
        color: #111111;
        padding: 4px 0;

      }

      &__input-field {
        position: relative;
        max-width: 290px;
        height: 40px;
        background: #F5F4F0;
        border: 1px solid #CACACA;
        padding-left: 30px;
        @media (min-width: $md3 + px) {
          width: 264px;
        }
      }


    }

    .field-btn {
      display: flex;
      justify-content: center;
      align-items: center;

      &__submit {
        font-family: 'BebasNeue';
        font-style: normal;
        font-weight: 700;
        font-size: 16px;
        line-height: 24px;
        letter-spacing: 0.05em;
        color: #FFFFFF;
        width: 168px;
        height: 48px;
        background: #FF6031;
        border: none;
        margin: 16px 0;
        cursor: pointer;
      }

    }

  }

}

.bottom-footer {
  &__wrapper {
    background: #0A1D3D;
    mix-blend-mode: normal;

    .responsive-footer-wrapper {
      @media (min-width: $md3 + px) {
        display: flex;
        justify-content: center;
      }
      @media (min-width: $md2 + px) {
        justify-content: space-between;
      }
    }

  }

  .logo-footer {
    text-align: center;
    padding: 32px 0 24px 0;

    &__image {
      width: 167px;
      height: 28px;
    }

  }

  &__sub-title {
    @media (min-width: $md3 + px) {
      display: none;
    }
    font-family: 'BebasNeue';
    font-style: normal;
    font-weight: 700;
    font-size: 19px;
    line-height: 24px;
    letter-spacing: 0.05em;
    color: #FFFFFF;
    text-align: center;
  }

  .contacts-footer {
    display: flex;
    align-items: center;
    justify-content: center;
    padding-top: 22px;
    @media (min-width: $md3 + px) {
      order: 2;
      flex-direction: column;
      padding: 0;
    }
    @media (min-width: $md2 + px) {
      flex-direction: row-reverse;
      align-items: flex-start;
      padding-top: 20px;
    }

    &__number {
      display: flex;
      justify-content: space-between;
      align-items: center;
      margin-right: 14px;
      @media (min-width: $md3 + px) {
        order: 2;
        padding-top: 10px;
      }

      &._icon-phone-call::before {
        padding-right: 6px;
      }
    }

    &__number-tel {
      font-family: 'Montserrat';
      font-weight: 700;
      font-size: 14px;
      line-height: 24px;
      display: flex;
      align-items: center;
      color: #FFFFFF;
      flex: none;
      order: 1;
      flex-grow: 0;

      &:hover {
        color: $dark-white;
      }

      @media (min-width: $md2 + px) {
        font-size: 16px;
      }
    }
  }

  .order-button {
    display: flex;
    justify-content: center;
    align-items: center;
    margin-left: 14px;

    &__order {
      font-family: "BebasNeue";
      font-style: normal;
      font-weight: 700;
      font-size: 16px;
      line-height: 24px;
      letter-spacing: 0.05em;
      color: #FFFFFF;
      width: 142px;
      height: 40px;
      background: #FF6031;
      border: none;
      cursor: pointer;

      &:hover {
        background-color: #FF420A;
      }
    }
  }

  .connection {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 20px 0;
    @media (min-width: $md3 + px) {
      max-width: 400px;
      flex-wrap: wrap;
    }

    &__whatsapp {
      width: 136px;
      height: 40px;
      background-color: #43D854;
      display: flex;
      align-items: center;
      justify-content: center;
      margin: 0 8px;
      font-family: 'Montserrat';
      font-style: normal;
      font-weight: 400;
      font-size: 14px;
      line-height: 24px;
      color: #FFFFFF;

      &:hover {
        opacity: .9;
      }
    }

    &__telegram {
      display: flex;
      width: 136px;
      height: 40px;
      background-color: #28A8EA;
      align-items: center;
      justify-content: center;
      margin: 0 8px;
      font-family: 'Montserrat';
      font-style: normal;
      font-weight: 400;
      font-size: 14px;
      line-height: 24px;
      color: #FFFFFF;

      &:hover {
        opacity: .9;
      }
    }

    &__sub-title {
      display: none;
      @media (min-width: $md3 + px) {
        display: block;
        font-family: 'BebasNeue';
        font-style: normal;
        font-weight: 700;
        font-size: 19px;
        line-height: 24px;
        letter-spacing: 0.05em;
        color: #FFFFFF;
        text-align: center;
        padding-top: 10px;

      }
    }

    ._icon-whatsapp::before, ._icon-telegram::before {
      padding-right: 10px;
      font-size: 20px;
    }


  }

  &__text {

    max-width: 98%;
    border-top: 1px solid #5B7FBD;
    margin: auto;
    padding: 16px;
    display: flex;

    .text-footer-bottom {

      font-family: 'Montserrat';
      font-style: normal;
      font-weight: 400;
      font-size: 12px;
      line-height: 14px;
      letter-spacing: 0.05em;
      color: #FFFFFF;
      display: block;
      text-align: center;
      margin: auto;
      @media (min-width: $md2 + px) {
        width: 1160px;

      }
    }

  }

}